> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://typeform.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://typeform.ferndocs.com/_mcp/server.

# Retrieve theme

GET https://api.typeform.com/themes/{theme_id}

Retrieves a theme in your Typeform account.

Reference: https://typeform.ferndocs.com/documentation/create-api/api-reference/themes/get

## Authentication

- `Authorization` header (bearer token, required) — Bearer token authentication. Tokens can be generated from the user account. Privileges needed may vary.
- `Authorization` header (required) — A string representation of JWT containing at least two parameters: `ctx.user_id` — user's id `ctx.account_id` — user's default account id `ctx.account_uid` — user's default account uid The usage of account_(u)id from JWT is discouraged, user can have access to multiple accounts, every endpoint has to be account aware if it's needed. This JWT must be signed by the appropriate authority.

## Request

### Path parameters

- `theme_id` (string, required) — Unique ID for the theme.

## Response

### 200

OK

- `background` (ThemeBackground, optional) — Settings for the background.
- `colors` (ThemeColors, optional) — Colors the theme will apply to answers, background, buttons, and questions.
- `fields` (ThemeFields, optional) — Defines font size and alignment for fields.
- `font` (string, optional, default: Source Sans Pro) — Font for the theme.
- `has_transparent_button` (boolean, optional) — `true` if buttons should be transparent. Otherwise, `false`.
- `id` (string, optional) — Unique ID of the theme.
- `name` (string, optional) — Name of the theme.
- `rounded_corners` (enum, optional, default: small) — Specifies border radius style of buttons and other elements in the form.
  - Allowed values: `none`, `small`, `large`
- `screens` (ThemeScreens, optional) — Defines font size and alignment for welcome and thankyou screens.
- `visibility` (enum, optional, default: private) — Specifies whether the theme is public or private.
  - Allowed values: `public`, `private`

## Types

### ThemeBackground

Settings for the background.

- `brightness` (double, optional) — Brightness for the background. `-1` is least bright (minimum) and `1` is most bright (maximum).
- `href` (string, optional, default: ) — Background image URL.
- `layout` (enum, optional, default: fullscreen) — Layout for the background.
  - Allowed values: `fullscreen`, `repeat`, `no-repeat`

### ThemeColors

Colors the theme will apply to answers, background, buttons, and questions.

- `answer` (string, optional) — Color the theme will apply to answers. Hexadecimal value.
- `background` (string, optional) — Color the theme will apply to background. Hexadecimal value.
- `button` (string, optional) — Color the theme will apply to buttons. Hexadecimal value.
- `question` (string, optional) — Color the theme will apply to questions. Hexadecimal value.

### ThemeFields

Defines font size and alignment for fields.

### ThemeScreens

Defines font size and alignment for welcome and thankyou screens.

## Examples

**Response**

```json
{
  "background": {
    "brightness": 1.1,
    "href": "",
    "layout": "fullscreen"
  },
  "colors": {
    "answer": "string",
    "background": "string",
    "button": "string",
    "question": "string"
  },
  "fields": {},
  "font": "Source Sans Pro",
  "has_transparent_button": true,
  "id": "string",
  "name": "string",
  "rounded_corners": "small",
  "screens": {},
  "visibility": "private"
}
```

**SDK Code**

```python
import requests

url = "https://api.typeform.com/themes/6lPNE6"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.typeform.com/themes/6lPNE6';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.typeform.com/themes/6lPNE6"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.typeform.com/themes/6lPNE6")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.typeform.com/themes/6lPNE6")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.typeform.com/themes/6lPNE6', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.typeform.com/themes/6lPNE6");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.typeform.com/themes/6lPNE6")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```